Skip to main content
GET
Get cost alert widget data

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.

Path Parameters

id
string
required

Response

Cost alert with thresholds

id
string
required
organizationId
string
required
createdAt
string<date-time> | null
required
createdById
string
required
archivedAt
string<date-time> | null
required
scopeId
string | null
required
urlState
string
required
name
string
required
currency
enum<string>
required
Available options:
USD,
EUR,
GBP,
CNY
queryName
string
required
queries
object[]
required
evaluationPeriod
enum<string>
required
Available options:
DAILY,
WEEKLY,
MONTHLY
thresholdType
enum<string>
required
Available options:
ABOVE,
UNDER
snoozedUntil
string<date-time> | null
required
condition
string | null
required
conditionAdvancedExplorerQuery
object | null
required
dedupKind
enum<string> | null
required
Available options:
CALENDAR,
ROLLING,
null
dedupCalendarUnit
enum<string> | null
required
Available options:
WEEK,
MONTH,
null
dedupWindowDays
integer | null
required
notificationChannel
enum<string>
required
Available options:
EMAIL,
SLACK,
TEAMS
emails
string<email>[]
required
slackChannelId
string | null
required
teamsChannelId
string | null
required
description
string
required
thresholds
object[]
required
Last modified on August 10, 2026